<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xxfc.platform.universal.mapper.MemberFamilyInfoMapper">
  <resultMap id="BaseResultMap" type="com.xxfc.platform.universal.entity.MemberFamilyInfo">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="member_id" jdbcType="INTEGER" property="memberId" />
    <result column="name" jdbcType="VARCHAR" property="name" />
    <result column="relationship" jdbcType="VARCHAR" property="relationship" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    id, member_id, name, relationship
  </sql>
  <delete id="deleteByMemberIdNotInIds">
    delete from member_family_info
    where member_id = #{memberId}
    <foreach collection="ids" item="id">
        and id != #{id}
    </foreach>
  </delete>
</mapper>